import java.util.Random;

public class PersonenErzeuger {

    private static String[] maennerName = { "Jupp", "Toni", "Hans", "Sepp", "Klaus",
                                            "Adam", "Helmut", "Franz", "Martin", "Max" };
    private static String[] frauenName = { "Elfriede", "Susanne", "Petra", "Lotte", "Eva", 
                                           "Carmen", "Wiebke", "Else", "Kathi", "Rita" };

    public static Person[] erzeugePersonen(int n) {
        Person[] person  = new Person[n];
	Random   wuerfel = new Random();

	for (int i=0 ; i<n ; i++) {
	    switch ( wuerfel.nextInt(2) ) {
	        case 0 :
		    person[i] = new Mann(maennerName[wuerfel.nextInt(maennerName.length)],
		                         30+wuerfel.nextInt(50));
		    break;
		case 1 :
		    person[i] = new Frau(frauenName[wuerfel.nextInt(frauenName.length)],
		                         30+wuerfel.nextInt(50));
		    break;
	    }
	}

	return person;
    }
}
